@import "solidify-frontend/lib/application/components/routables/abstract-detail-edit-common/abstract-detail-edit-common.routable";
@import "abstracts/abstracts";

:host {
  padding: 0;

  .header {
    display: flex;
    justify-content: space-between;
    padding-bottom: 10px;

    .right-part {
      display: flex;
    }

    .left-part {
      display: flex;
      align-items: center;
      grid-template-columns: max-content max-content;
      grid-gap: 10px;

      .title {
        margin: 0;
      }

      .selector-file-view-mode {
        display: grid;
        grid-template-columns: max-content max-content;
        grid-gap: 30px;
        margin-right: 10px;

        a {
          &.is-active {
            cursor: initial;

            &:hover {
              color: $primary-color;
            }
          }

          &:not(.is-active) {
            color: $text-color;
          }

          display: grid;
          grid-template-columns: max-content max-content;
          grid-gap: 10px;
          align-items: center;
        }
      }

      @include respond-to-smaller-than-breakpoint('sm') {
        flex-direction: column;
        align-items: self-start;

        .selector-file-view-mode {
          padding-left: 0;
        }

        .button-select-and-resume,
        .button-select-and-delete {
          margin-left: 0;
        }
      }
    }
  }

  .file-viewer {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 0 35px;

    @include respond-to-smaller-than-breakpoint('md') {
      grid-template-columns: 1fr;
    }

    &.with-folder {
      grid-template-columns: max-content 1fr;
    }
  }
}

@include isInDarkMode {
  .header {
    .left-part {
      .selector-file-view-mode {
        a {
          &:not(.is-active) {
            color: $dark-mode-text-disabled;
          }
        }
      }
    }
  }
}
